gdlmm: Gdl::DockMaster Class Reference

# Gdl::DockMaster Class Reference

Inherits Glib::Object.

Collaboration diagram for Gdl::DockMaster:
[legend]

List of all members.

## Public Member Functions
virtual | ~DockMaster ()
GdlDockMaster* | gobj ()
| Provides access to the underlying C GObject.
const GdlDockMaster* | gobj () const
| Provides access to the underlying C GObject.
GdlDockMaster* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | add (DockObject& object)
void | remove (DockObject& object)
GdlDockObject* | get_object (const Glib::ustring& nick_name) const
GdlDockObject* | get_controller () const
void | set_controller (DockObject& object)
Glib::PropertyProxy < Glib::ustring > | property_default_title ()
| Titre par défaut pour les objets détachables flottants nouvellement créés.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_default_title () const
| Titre par défaut pour les objets détachables flottants nouvellement créés.
Glib::PropertyProxy< int > | property_locked ()
| Si défini à 1.
Glib::PropertyProxy_ReadOnly< int > | property_locked () const
| Si défini à 1.
Glib::PropertyProxy < SwitcherStyle > | property_switcher_style ()
| Style des boutons de basculement.
Glib::PropertyProxy_ReadOnly < SwitcherStyle > | property_switcher_style () const
| Style des boutons de basculement.
Glib::SignalProxy0< void > | signal_layout_changed ()
## Static Public Member Functions
static Glib::RefPtr< DockMaster > | create ()
## Protected Member Functions
| DockMaster ()
virtual void | on_layout_changed ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gdl::DockMaster > | wrap (GdlDockMaster* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::DockMaster::~DockMaster | ( |  | ) | `[virtual]`

Gdl::DockMaster::DockMaster | ( |  | ) | `[protected]`

## Member Function Documentation

void Gdl::DockMaster::add | ( | DockObject& | object | ) |

static Glib::RefPtr<DockMaster> Gdl::DockMaster::create | ( |  | ) | `[static]`

GdlDockObject* Gdl::DockMaster::get_controller | ( |  | ) | const

GdlDockObject* Gdl::DockMaster::get_object | ( | const Glib::ustring & | nick_name | ) | const

const GdlDockMaster* Gdl::DockMaster::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

GdlDockMaster* Gdl::DockMaster::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

GdlDockMaster* Gdl::DockMaster::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gdl::DockMaster::on_layout_changed | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gdl::DockMaster::property_default_title | ( |  | ) | const

Titre par défaut pour les objets détachables flottants nouvellement créés.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gdl::DockMaster::property_default_title | ( |  | ) |

Titre par défaut pour les objets détachables flottants nouvellement créés.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::DockMaster::property_locked | ( |  | ) | const

Si défini à 1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gdl::DockMaster::property_locked | ( |  | ) |

Si défini à 1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<SwitcherStyle> Gdl::DockMaster::property_switcher_style | ( |  | ) | const

Style des boutons de basculement.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<SwitcherStyle> Gdl::DockMaster::property_switcher_style | ( |  | ) |

Style des boutons de basculement.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gdl::DockMaster::remove | ( | DockObject& | object | ) |

void Gdl::DockMaster::set_controller | ( | DockObject& | object | ) |

Glib::SignalProxy0< void > Gdl::DockMaster::signal_layout_changed | ( |  | ) |

Prototype:
  `void on_my_layout_changed()`

## Friends And Related Function Documentation

Glib::RefPtr< Gdl::DockMaster > wrap | ( | GdlDockMaster * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dockmaster.h